com.fasterxml.jackson.databind.ser.impl

## Class UnknownSerializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<T>
  - - com.fasterxml.jackson.databind.ser.std.StdSerializer<Object>
    - - com.fasterxml.jackson.databind.ser.std.ToEmptyObjectSerializer
      - - com.fasterxml.jackson.databind.ser.impl.UnknownSerializer

All Implemented Interfaces:
  JsonFormatVisitable, SchemaAware, Serializable

    public class UnknownSerializer
    extends ToEmptyObjectSerializer

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

`JsonSerializer.None`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`_handledType`

### Constructor Summary

Constructors
Constructor and Description
`UnknownSerializer()`
`UnknownSerializer(Class<?> cls)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `failForEmpty(SerializerProvider prov, Object value)`
`void` `serialize(Object value, com.fasterxml.jackson.core.JsonGenerator gen, SerializerProvider ctxt)` Method that can be called to ask implementation to serialize values of type this serializer handles.
`void` `serializeWithType(Object value, com.fasterxml.jackson.core.JsonGenerator gen, SerializerProvider ctxt, TypeSerializer typeSer)` Method that can be called to ask implementation to serialize values of type this serializer handles, using specified type serializer for embedding necessary type information.

### Methods inherited from class com.fasterxml.jackson.databind.ser.std.ToEmptyObjectSerializer

`acceptJsonFormatVisitor, getSchema, isEmpty`

### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`_neitherNull, _nonEmpty, createSchemaNode, createSchemaNode, findAnnotatedContentSerializer, findContextualConvertingSerializer, findConvertingContentSerializer, findFormatFeature, findFormatOverrides, findIncludeOverrides, findPropertyFilter, getSchema, handledType, isDefaultSerializer, visitArrayFormat, visitArrayFormat, visitFloatFormat, visitIntFormat, visitIntFormat, visitStringFormat, visitStringFormat, wrapAndThrow, wrapAndThrow`

### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

`getDelegatee, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, unwrappingSerializer, usesObjectId, withFilterId, withIgnoredProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UnknownSerializer

    public UnknownSerializer()

#### UnknownSerializer

    public UnknownSerializer(Class<?> cls)

### Method Detail

#### serialize

    public void serialize(Object value,
                          com.fasterxml.jackson.core.JsonGenerator gen,
                          SerializerProvider ctxt)
                   throws IOException

Description copied from class: `JsonSerializer`
Method that can be called to ask implementation to serialize values of type this serializer handles.

Overrides:
  `serialize` in class `ToEmptyObjectSerializer`
Parameters:
  `value` - Value to serialize; can not be null.
  `gen` - Generator used to output resulting Json content
  `ctxt` - Provider that can be used to get serializers for serializing Objects value contains, if any.
Throws:
  `IOException`

#### serializeWithType

    public void serializeWithType(Object value,
                                  com.fasterxml.jackson.core.JsonGenerator gen,
                                  SerializerProvider ctxt,
                                  TypeSerializer typeSer)
                           throws IOException

Description copied from class: `JsonSerializer`
Method that can be called to ask implementation to serialize values of type this serializer handles, using specified type serializer for embedding necessary type information.

Default implementation will throw `UnsupportedOperationException` to indicate that proper type handling needs to be implemented.

For simple datatypes written as a single scalar value (JSON String, Number, Boolean), implementation would look like:

      // note: method to call depends on whether this type is serialized as JSON scalar, object or Array!
      typeSer.writeTypePrefixForScalar(value, gen);
      serialize(value, gen, provider);
      typeSer.writeTypeSuffixForScalar(value, gen);

and implementations for type serialized as JSON Arrays or Objects would differ slightly, as `START-ARRAY`/`END-ARRAY` and `START-OBJECT`/`END-OBJECT` pairs need to be properly handled with respect to serializing of contents.

Overrides:
  `serializeWithType` in class `ToEmptyObjectSerializer`
Parameters:
  `value` - Value to serialize; can not be null.
  `gen` - Generator used to output resulting Json content
  `ctxt` - Provider that can be used to get serializers for serializing Objects value contains, if any.
  `typeSer` - Type serializer to use for including type information
Throws:
  `IOException`

#### failForEmpty

    protected void failForEmpty(SerializerProvider prov,
                                Object value)
                         throws JsonMappingException

Throws:
  `JsonMappingException`